<template>
  <svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 18 18" fill="none" @click="change">
    <circle cx="9" cy="9" r="8.5" stroke="#D58C51" />
    <circle cx="9" cy="9" r="5.0" fill="#D58C51" v-show="isChecked" />
  </svg>
</template>

<script>
import { ref } from 'vue'
export default {
  setup () {
    const isChecked = ref(false)
    const change = () => { isChecked.value = !isChecked.value }
    return {
      isChecked, change
    }
  }
}
</script>
